package com.njzscloud.common.security.module.code;

import com.njzscloud.common.security.contant.AuthWay;
import com.njzscloud.common.security.support.LoginForm;
import lombok.Getter;
import lombok.Setter;

/**
 * 登录参数
 */
@Getter
@Setter
public class CodeLoginForm extends LoginForm {
    /**
     * 登录账号
     */
    private String phone;

    /**
     * 验证码
     */
    private String code;

    /**
     * 获取验证码时使用的 uid
     */
    private String codeId;

    public CodeLoginForm() {
        super(AuthWay.PHONE);
    }

    @Override
    public String getName() {
        return phone;
    }
}
